Package com.emc.d2fs.models.context

# Class Context

java.lang.Object
com.emc.d2fs.models.context.Context

All Implemented Interfaces:
  `Serializable`

public class Context extends Object implements Serializable

Java class for context complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="context">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="repository" type="{http://www.emc.com/d2fs/models/repository}repository" minOccurs="0"/>
             <element name="networkLocation" type="{http://www.emc.com/d2fs/models/location}network_location" minOccurs="0"/>
             <element name="collectionParam" type="{http://www.emc.com/d2fs/models/context}collectionParam" minOccurs="0"/>
           </all>
           <attribute name="uid" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="parentUid" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="login" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="userName" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="password" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="domain" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="locale" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="localeSource" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="webAppURL" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="clientIp" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="clientHostName" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="clientTimeZoneId" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="clientTimeZoneOffset" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="clientMode" type="{http://www.w3.org/2001/XMLSchema}int" default="0" />
           <attribute name="creationTime" type="{http://www.w3.org/2001/XMLSchema}long" />
           <attribute name="sso" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="widgetName" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="widgetType" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="userArg1" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="binaryCredential" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
           <attribute name="configApplicationName" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="configApplicationParam" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="clientType" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="embedMode" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="geoLatitude" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="geoLongitude" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="validateLicense" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Context()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBinaryCredential()`
  Gets the value of the binaryCredential property.
  `String`
  `getClientHostName()`
  Gets the value of the clientHostName property.
  `String`
  `getClientIp()`
  Gets the value of the clientIp property.
  `int`
  `getClientMode()`
  Gets the value of the clientMode property.
  `String`
  `getClientTimeZoneId()`
  Gets the value of the clientTimeZoneId property.
  `Integer`
  `getClientTimeZoneOffset()`
  Gets the value of the clientTimeZoneOffset property.
  `String`
  `getClientType()`
  Gets the value of the clientType property.
  `CollectionParam`
  `getCollectionParam()`
  Gets the value of the collectionParam property.
  `String`
  `getConfigApplicationName()`
  Gets the value of the configApplicationName property.
  `String`
  `getConfigApplicationParam()`
  Gets the value of the configApplicationParam property.
  `Long`
  `getCreationTime()`
  Gets the value of the creationTime property.
  `String`
  `getDomain()`
  Gets the value of the domain property.
  `String`
  `getEmbedMode()`
  Gets the value of the embedMode property.
  `String`
  `getGeoLatitude()`
  Gets the value of the geoLatitude property.
  `String`
  `getGeoLongitude()`
  Gets the value of the geoLongitude property.
  `String`
  `getLocale()`
  Gets the value of the locale property.
  `String`
  `getLocaleSource()`
  Gets the value of the localeSource property.
  `String`
  `getLogin()`
  Gets the value of the login property.
  `NetworkLocation`
  `getNetworkLocation()`
  Gets the value of the networkLocation property.
  `String`
  `getParentUid()`
  Gets the value of the parentUid property.
  `String`
  `getPassword()`
  Gets the value of the password property.
  `Repository`
  `getRepository()`
  Gets the value of the repository property.
  `String`
  `getUid()`
  Gets the value of the uid property.
  `String`
  `getUserArg1()`
  Gets the value of the userArg1 property.
  `String`
  `getUserName()`
  Gets the value of the userName property.
  `String`
  `getWebAppURL()`
  Gets the value of the webAppURL property.
  `String`
  `getWidgetName()`
  Gets the value of the widgetName property.
  `String`
  `getWidgetType()`
  Gets the value of the widgetType property.
  `Boolean`
  `isSso()`
  Gets the value of the sso property.
  `Boolean`
  `isValidateLicense()`
  Gets the value of the validateLicense property.
  `void`
  `setBinaryCredential(String value)`
  Sets the value of the binaryCredential property.
  `void`
  `setClientHostName(String value)`
  Sets the value of the clientHostName property.
  `void`
  `setClientIp(String value)`
  Sets the value of the clientIp property.
  `void`
  `setClientMode(Integer value)`
  Sets the value of the clientMode property.
  `void`
  `setClientTimeZoneId(String value)`
  Sets the value of the clientTimeZoneId property.
  `void`
  `setClientTimeZoneOffset(Integer value)`
  Sets the value of the clientTimeZoneOffset property.
  `void`
  `setClientType(String value)`
  Sets the value of the clientType property.
  `void`
  `setCollectionParam(CollectionParam value)`
  Sets the value of the collectionParam property.
  `void`
  `setConfigApplicationName(String value)`
  Sets the value of the configApplicationName property.
  `void`
  `setConfigApplicationParam(String value)`
  Sets the value of the configApplicationParam property.
  `void`
  `setCreationTime(Long value)`
  Sets the value of the creationTime property.
  `void`
  `setDomain(String value)`
  Sets the value of the domain property.
  `void`
  `setEmbedMode(String value)`
  Sets the value of the embedMode property.
  `void`
  `setGeoLatitude(String value)`
  Sets the value of the geoLatitude property.
  `void`
  `setGeoLongitude(String value)`
  Sets the value of the geoLongitude property.
  `void`
  `setLocale(String value)`
  Sets the value of the locale property.
  `void`
  `setLocaleSource(String value)`
  Sets the value of the localeSource property.
  `void`
  `setLogin(String value)`
  Sets the value of the login property.
  `void`
  `setNetworkLocation(NetworkLocation value)`
  Sets the value of the networkLocation property.
  `void`
  `setParentUid(String value)`
  Sets the value of the parentUid property.
  `void`
  `setPassword(String value)`
  Sets the value of the password property.
  `void`
  `setRepository(Repository value)`
  Sets the value of the repository property.
  `void`
  `setSso(Boolean value)`
  Sets the value of the sso property.
  `void`
  `setUid(String value)`
  Sets the value of the uid property.
  `void`
  `setUserArg1(String value)`
  Sets the value of the userArg1 property.
  `void`
  `setUserName(String value)`
  Sets the value of the userName property.
  `void`
  `setValidateLicense(Boolean value)`
  Sets the value of the validateLicense property.
  `void`
  `setWebAppURL(String value)`
  Sets the value of the webAppURL property.
  `void`
  `setWidgetName(String value)`
  Sets the value of the widgetName property.
  `void`
  `setWidgetType(String value)`
  Sets the value of the widgetType property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Context

    public Context()

- ## Method Details

  - ### getRepository

    public Repository getRepository()
    Gets the value of the repository property.
    Returns:
      possible object is `Repository`

  - ### setRepository

    public void setRepository(Repository value)
    Sets the value of the repository property.
    Parameters:
      `value` - allowed object is `Repository`

  - ### getNetworkLocation

    public NetworkLocation getNetworkLocation()
    Gets the value of the networkLocation property.
    Returns:
      possible object is `NetworkLocation`

  - ### setNetworkLocation

    public void setNetworkLocation(NetworkLocation value)
    Sets the value of the networkLocation property.
    Parameters:
      `value` - allowed object is `NetworkLocation`

  - ### getCollectionParam

    public CollectionParam getCollectionParam()
    Gets the value of the collectionParam property.
    Returns:
      possible object is `CollectionParam`

  - ### setCollectionParam

    public void setCollectionParam(CollectionParam value)
    Sets the value of the collectionParam property.
    Parameters:
      `value` - allowed object is `CollectionParam`

  - ### getUid

    public String getUid()
    Gets the value of the uid property.
    Returns:
      possible object is `String`

  - ### setUid

    public void setUid(String value)
    Sets the value of the uid property.
    Parameters:
      `value` - allowed object is `String`

  - ### getParentUid

    public String getParentUid()
    Gets the value of the parentUid property.
    Returns:
      possible object is `String`

  - ### setParentUid

    public void setParentUid(String value)
    Sets the value of the parentUid property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLogin

    public String getLogin()
    Gets the value of the login property.
    Returns:
      possible object is `String`

  - ### setLogin

    public void setLogin(String value)
    Sets the value of the login property.
    Parameters:
      `value` - allowed object is `String`

  - ### getUserName

    public String getUserName()
    Gets the value of the userName property.
    Returns:
      possible object is `String`

  - ### setUserName

    public void setUserName(String value)
    Sets the value of the userName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getPassword

    public String getPassword()
    Gets the value of the password property.
    Returns:
      possible object is `String`

  - ### setPassword

    public void setPassword(String value)
    Sets the value of the password property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDomain

    public String getDomain()
    Gets the value of the domain property.
    Returns:
      possible object is `String`

  - ### setDomain

    public void setDomain(String value)
    Sets the value of the domain property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLocale

    public String getLocale()
    Gets the value of the locale property.
    Returns:
      possible object is `String`

  - ### setLocale

    public void setLocale(String value)
    Sets the value of the locale property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLocaleSource

    public String getLocaleSource()
    Gets the value of the localeSource property.
    Returns:
      possible object is `String`

  - ### setLocaleSource

    public void setLocaleSource(String value)
    Sets the value of the localeSource property.
    Parameters:
      `value` - allowed object is `String`

  - ### getWebAppURL

    public String getWebAppURL()
    Gets the value of the webAppURL property.
    Returns:
      possible object is `String`

  - ### setWebAppURL

    public void setWebAppURL(String value)
    Sets the value of the webAppURL property.
    Parameters:
      `value` - allowed object is `String`

  - ### getClientIp

    public String getClientIp()
    Gets the value of the clientIp property.
    Returns:
      possible object is `String`

  - ### setClientIp

    public void setClientIp(String value)
    Sets the value of the clientIp property.
    Parameters:
      `value` - allowed object is `String`

  - ### getClientHostName

    public String getClientHostName()
    Gets the value of the clientHostName property.
    Returns:
      possible object is `String`

  - ### setClientHostName

    public void setClientHostName(String value)
    Sets the value of the clientHostName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getClientTimeZoneId

    public String getClientTimeZoneId()
    Gets the value of the clientTimeZoneId property.
    Returns:
      possible object is `String`

  - ### setClientTimeZoneId

    public void setClientTimeZoneId(String value)
    Sets the value of the clientTimeZoneId property.
    Parameters:
      `value` - allowed object is `String`

  - ### getClientTimeZoneOffset

    public Integer getClientTimeZoneOffset()
    Gets the value of the clientTimeZoneOffset property.
    Returns:
      possible object is `Integer`

  - ### setClientTimeZoneOffset

    public void setClientTimeZoneOffset(Integer value)
    Sets the value of the clientTimeZoneOffset property.
    Parameters:
      `value` - allowed object is `Integer`

  - ### getClientMode

    public int getClientMode()
    Gets the value of the clientMode property.
    Returns:
      possible object is `Integer`

  - ### setClientMode

    public void setClientMode(Integer value)
    Sets the value of the clientMode property.
    Parameters:
      `value` - allowed object is `Integer`

  - ### getCreationTime

    public Long getCreationTime()
    Gets the value of the creationTime property.
    Returns:
      possible object is `Long`

  - ### setCreationTime

    public void setCreationTime(Long value)
    Sets the value of the creationTime property.
    Parameters:
      `value` - allowed object is `Long`

  - ### isSso

    public Boolean isSso()
    Gets the value of the sso property.
    Returns:
      possible object is `Boolean`

  - ### setSso

    public void setSso(Boolean value)
    Sets the value of the sso property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getWidgetName

    public String getWidgetName()
    Gets the value of the widgetName property.
    Returns:
      possible object is `String`

  - ### setWidgetName

    public void setWidgetName(String value)
    Sets the value of the widgetName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getWidgetType

    public String getWidgetType()
    Gets the value of the widgetType property.
    Returns:
      possible object is `String`

  - ### setWidgetType

    public void setWidgetType(String value)
    Sets the value of the widgetType property.
    Parameters:
      `value` - allowed object is `String`

  - ### getUserArg1

    public String getUserArg1()
    Gets the value of the userArg1 property.
    Returns:
      possible object is `String`

  - ### setUserArg1

    public void setUserArg1(String value)
    Sets the value of the userArg1 property.
    Parameters:
      `value` - allowed object is `String`

  - ### getBinaryCredential

    public String getBinaryCredential()
    Gets the value of the binaryCredential property.
    Returns:
      possible object is `String`

  - ### setBinaryCredential

    public void setBinaryCredential(String value)
    Sets the value of the binaryCredential property.
    Parameters:
      `value` - allowed object is `String`

  - ### getConfigApplicationName

    public String getConfigApplicationName()
    Gets the value of the configApplicationName property.
    Returns:
      possible object is `String`

  - ### setConfigApplicationName

    public void setConfigApplicationName(String value)
    Sets the value of the configApplicationName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getConfigApplicationParam

    public String getConfigApplicationParam()
    Gets the value of the configApplicationParam property.
    Returns:
      possible object is `String`

  - ### setConfigApplicationParam

    public void setConfigApplicationParam(String value)
    Sets the value of the configApplicationParam property.
    Parameters:
      `value` - allowed object is `String`

  - ### getClientType

    public String getClientType()
    Gets the value of the clientType property.
    Returns:
      possible object is `String`

  - ### setClientType

    public void setClientType(String value)
    Sets the value of the clientType property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEmbedMode

    public String getEmbedMode()
    Gets the value of the embedMode property.
    Returns:
      possible object is `String`

  - ### setEmbedMode

    public void setEmbedMode(String value)
    Sets the value of the embedMode property.
    Parameters:
      `value` - allowed object is `String`

  - ### getGeoLatitude

    public String getGeoLatitude()
    Gets the value of the geoLatitude property.
    Returns:
      possible object is `String`

  - ### setGeoLatitude

    public void setGeoLatitude(String value)
    Sets the value of the geoLatitude property.
    Parameters:
      `value` - allowed object is `String`

  - ### getGeoLongitude

    public String getGeoLongitude()
    Gets the value of the geoLongitude property.
    Returns:
      possible object is `String`

  - ### setGeoLongitude

    public void setGeoLongitude(String value)
    Sets the value of the geoLongitude property.
    Parameters:
      `value` - allowed object is `String`

  - ### isValidateLicense

    public Boolean isValidateLicense()
    Gets the value of the validateLicense property.
    Returns:
      possible object is `Boolean`

  - ### setValidateLicense

    public void setValidateLicense(Boolean value)
    Sets the value of the validateLicense property.
    Parameters:
      `value` - allowed object is `Boolean`